<div class="formcard">
  <form class="form w-100" [formGroup]="taskForm" (ngSubmit)="onSubmit()">
    <div class="formtitle w-100">
      <div class="titleheader">New Task</div>
      <div class="dialogclose">
        <mat-icon mat-dialog-close class="cursor-pointer">close</mat-icon>
      </div>
    </div>
    <div class="display-flex m-display-grid mt-2 w-100 m-w-100 align-start">
      <div class="mr-10 m-w-100 w-30" (click)="picker.open()">
        <mat-form-field
          appearance="outline"
          class="w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver"
        >
          <mat-label>Due Date</mat-label>
          <input matInput [matDatepicker]="picker" formControlName="dueDate" (click)="picker.open()" autocomplete="off" type="text" />
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
      </div>
      <div class="mr-10 mt-1 color-silver icon-div" (click)="picker.open()">
        <mat-icon class="color-silver cursor-pointer">calendar_month</mat-icon>
      </div>
      <div class="mr-10 m-mb-10 color-silver checkbox-background-color">
        <mat-checkbox>Project Date Filter 30+/-</mat-checkbox>
      </div>
      <div class="mr-10 w-30 m-w-100">
        <mat-form-field
          appearance="outline"
          class="w-100 m-w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver dropdown-arrow"
        >
          <mat-label>Created By</mat-label>
          <mat-select formControlName="createdById">
            <mat-option *ngFor="let user of users" [value]="user.id" class="mat-primary">
              {{ user.name }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>
    <div class="display-flex w-100 m-w-100">
      <div class="mr-10 m-mr-0 w-100 m-w-100">
        <mat-form-field
          appearance="outline"
          class="w-30 m-w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver dropdown-arrow"
        >
          <mat-label>Client</mat-label>
          <mat-select formControlName="clientId">
            <mat-option *ngFor="let client of clients" [value]="client.id" class="mat-primary">
              {{ client.name }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>
    <div class="display-flex m-display-grid w-100">
      <div class="w-100 display-flex">
        <div class="mr-10 w-100">
          <mat-form-field
            appearance="outline"
            class="w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver"
          >
            <mat-label>Project</mat-label>
            <input matInput placeholder="Project" class="cursor-pointer" readonly (click)="openProjectDailog()" [value]="projectName" formControlName="projectId" autocomplete="off" type="text" />
          </mat-form-field>
        </div>
        <div class="mr-10 mt-1 color-silver icon-div" (click)="openProjectDailog()">
          <mat-icon class="color-silver cursor-pointer">folder</mat-icon>
        </div>
      </div>
    </div>
    <div class="display-flex m-display-grid w-100">
      <div class="w-100 display-flex">
        <div class="mr-10 w-100 m-w-95">
          <mat-form-field
            appearance="outline"
            class="w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver"
          >
            <mat-label>Task</mat-label>
            <input matInput placeholder="Enter the Title of Task here" [name]="taskName" formControlName="taskTitle" autocomplete="off" type="text"/>
          </mat-form-field>
        </div>
        <div class="mr-10 mt-1 color-silver icon-div">
          <mat-icon class="color-silver">edit_square</mat-icon>
        </div>
      </div>
    </div>
    <div class="display-flex m-display-grid w-100">
      <div class="mr-10 w-30 m-w-100">
        <mat-form-field
          appearance="outline"
          class="w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver dropdown-arrow"
        >
          <mat-label>Status</mat-label>
          <mat-select formControlName="statusId">
            <mat-option *ngFor="let status of statuses" [value]="status.id" class="mat-primary">
              {{ status.name }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="mr-10 w-30 m-w-100">
        <mat-form-field
          appearance="outline"
          class="w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver dropdown-arrow"
        >
          <mat-label>Assignee</mat-label>
          <mat-select formControlName="assigneeId">
            <mat-option *ngFor="let user of users" [value]="user.id" class="mat-primary">
              {{ user.name }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="mr-10 m-mb-10 color-silver checkbox-background-color">
        <mat-checkbox formControlName="sendEmail">Send Email</mat-checkbox>
      </div>
    </div>
    <div class="display-flex m-display-grid w-100">
      <div class="mr-10 w-30 m-w-100">
        <mat-form-field
          appearance="outline"
          class="w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver dropdown-arrow"
        >
          <mat-label>Task Type</mat-label>
          <mat-select formControlName="typeId">
            <mat-option *ngFor="let type of types" [value]="type.id" class="mat-primary">
              {{ type.name }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="mr-10 w-30 m-w-100">
        <mat-form-field
          appearance="outline"
          class="w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver dropdown-arrow"
        >
          <mat-label>Priority</mat-label>
          <mat-select formControlName="priorityId">
            <mat-option *ngFor="let priority of priorities" [value]="priority.id" class="mat-primary">
              {{ priority.name }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>
    <div class="display-flex m-display-grid w-100 m-w-100">
      <div class="mr-10 m-mr-0 w-50 m-w-100">
        <mat-form-field
          appearance="outline"
          class="w-100 m-w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver h-100"
        >
          <mat-label>Notes</mat-label>
          <textarea matInput class="textarea-size" placeholder="Notes" formControlName="notes" autocomplete="off" type="text"></textarea>
        </mat-form-field>
      </div>
      <div class="mr-10 m-mr-0 w-50 m-w-100">
        <mat-form-field
          appearance="outline"
          class="w-100 m-w-100 mat-focused mat-form-field-should-float padding border-silver label-silver cursor-silver h-100"
        >
          <mat-label>Email Notes</mat-label>
          <textarea matInput  class="textarea-size" placeholder="Email Notes" formControlName="emailNotes" autocomplete="off" type="text"></textarea>
        </mat-form-field>
      </div>
    </div>
    <div class="display-flex m-display-grid w-100 justify-end save-btns">
      <button mat-stroked-button class="button" (click)="onSubmit($event)">Save & Add Task</button>
      <button mat-stroked-button class="button button-disabled" [disabled]="true">Save & Add Pitch/Hit</button>
      <button mat-stroked-button class="button" mat-dialog-close>Cancel</button>
      <button mat-stroked-button class="button submit bacon-btn" type="submit">Save</button>
    </div>
  </form>
</div>
